package com.engine.omron.controller;

import com.engine.common.util.ParamUtil;
import com.engine.common.util.ServiceUtil;
import com.engine.omron.service.OverTimeService;
import com.engine.omron.service.impl.OverTimeServiceImpl;
import com.google.gson.Gson;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import java.util.Map;

public class OverTimeController {

    public OverTimeService getOverTimeService(User user) {
        return ServiceUtil.getService(OverTimeServiceImpl.class,user);
    }

    @Path("/checkOverTimeWorkflow")
    @POST
    @Produces(MediaType.APPLICATION_JSON)
    public String checkOverTimeWorkflow(@Context HttpServletRequest request, @Context HttpServletResponse response){
        User user = HrmUserVarify.getUser(request,response);
        Map<String, Object> params = ParamUtil.request2Map(request);
        Map<String, Object> apiDatas = getOverTimeService(user).checkOverTimeWorkflow(params);
        return new Gson().toJson(apiDatas);
    }

}
