<%@ page import="com.engine.kq.biz.KQWorkTime" %>
<%@ page import="com.engine.kq.entity.WorkTimeEntity" %>
<%@ page import="com.engine.kq.entity.TimeScopeEntity" %>
<%@ page import="com.alibaba.fastjson.JSONObject" %>
<%@ page import="com.engine.workflow.cmd.publicApi.reqOperate.DoCreateRequestCmd" %>
<%@ page import="com.engine.workflow.entity.publicApi.ReqOperateRequestEntity" %>
<%@ page import="weaver.hrm.User" %>
<%@ page import="weaver.workflow.webservices.WorkflowRequestTableField" %>
<%@ page import="weaver.conn.RecordSet" %>
<%@ page import="weaver.general.Util" %>
<%@ page import="com.wbi.util.StringUtil" %>
<%@ page import="weaver.workflow.webservices.WorkflowRequestInfo" %>
<%@ page import="cn.hutool.core.date.DateUtil" %>
<%@ page import="java.util.*" %>
<%@ page import="weaver.workflow.webservices.WorkflowBaseInfo" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" %>

<%
    out.println("-----------start-------------");

    RecordSet rs = new RecordSet();

    User user = new User();
    user.setUid(175);

    String workflowId = "15";

    String workflowName = "授乳假";

    String tableName = "";

    //获取拟稿人中文姓名
    String lastName = "";
    String acqLastNameSql = "select lastname from hrmresource where id = ?";
    rs.executeQuery(acqLastNameSql,user.getUID());
    while (rs.next()) {
        lastName = Util.null2String(rs.getString("lastname"));
    }

    if ( StringUtil.isBlank(lastName)) {
        lastName = "未知人员";
    }

    //工作流程请求信息
    WorkflowRequestInfo workflowRequestInfo = new WorkflowRequestInfo();
    //请求标题
    workflowRequestInfo.setRequestName(workflowName + "-" + lastName + "-" + DateUtil.format(new Date(),"yyyy-MM-dd"));
    //请求重要级别
    workflowRequestInfo.setRequestLevel("1");
    //显示
    workflowRequestInfo.setCanView(true);
    //创建者id
    workflowRequestInfo.setCreatorId(Util.null2String(user.getUID()));
    //工作流信息
    WorkflowBaseInfo workflowBaseInfo = new WorkflowBaseInfo();
    workflowBaseInfo.setWorkflowId(workflowId);
    workflowRequestInfo.setWorkflowBaseInfo(workflowBaseInfo);
    //主表赋值
    WorkflowRequestTableField[] workflowRequestTableField = new WorkflowRequestTableField[5];



%>

<%!
    private WorkflowRequestTableField createWorkflowRequestTableField(String fieldName, String fieldValue) {
        WorkflowRequestTableField tableField = new WorkflowRequestTableField();
        tableField.setFieldName(fieldName);
        tableField.setFieldValue(fieldValue);
        tableField.setView(true);
        tableField.setEdit(true);
        return tableField;
    }
%>
